/***************************************************************************
 *   Copyright (C) 2004 by Christoph                                       *
 *   chris@inferno.nadir.org                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "klwpersonalsettingsform.h"

#include <qcheckbox.h>
#include <qlineedit.h>

klwPersonalSettingsForm::klwPersonalSettingsForm(QWidget *parent, const char *name)
 : klwPersonalSettingsFormBase(parent, name)
{
    connect(kcfg_checkEmail,SIGNAL(stateChanged(int)),this,SLOT(toggleEmail(int )));
    connect(kcfg_checkURL,SIGNAL(stateChanged(int)),this,SLOT(toggleURL(int)));
    connect(kcfg_checkBank,SIGNAL(stateChanged(int)),this,SLOT(toggleBank(int )));
}


klwPersonalSettingsForm::~klwPersonalSettingsForm()
{
}

void klwPersonalSettingsForm::toggleBank(int i)
{
    kcfg_Bank->setEnabled(i);
    kcfg_BLZ->setEnabled(i);
    kcfg_KtoNr->setEnabled(i);
}

void klwPersonalSettingsForm::toggleEmail(int i)
{
    kcfg_Email->setEnabled(i);
}

void klwPersonalSettingsForm::toggleURL(int i)
{
    kcfg_URL->setEnabled(i);
}
#include "klwpersonalsettingsform.moc"


